################################################################################
#
# InstallShield Options File
#
# SAMPLE RESPONSE FILE FOR IBM SOLUTION ASSEMBLY TOOLKIT VERSION 2.2.0 INSTALLATION
#
# This file can be used to configure the product with the options specified 
# below when the wizard is run with the "-options" command line option. Read 
# each setting's documentation for information on how to change its value.
# 
# A common use of an options file is to run the wizard in silent mode. This lets
# the options file author specify wizard settings without having to run the
# wizard in graphical or console mode. To use this options file for silent mode
# execution, use the following command line arguments when running the wizard:
# 
#    -options "<pathToFile>/IRU_install.iss" -silent
#
# NOTE: No spaces are allowed before the options (-P, -W, -G)
#
################################################################################


################################################################################
#   
# Silent Installation
#
# Specify that the installation should run silently.
# 
# NOTE: The following option must be uncommented or specified at the command 
# line for successful silent installation. 
#


-silent


################################################################################
#
# Language Selection
#
# Specify the language to display in the wizard. By default the computer's
# language will be displayed. To set a different language set useComputerLocale
# to "false", and see the next option.
#


-W setLocale.useComputerLocale="true"


################################################################################
#
# Language Selection
#
# Set locale to the appropriate language id.
# 
#    NOTE: The useComputerLocale option must be set to "false" in order to
#    use this option.
# 
# If an invalid language id is used, the installation will proceed using the
# computer's default language.
# 
#    Language id options: de,en,es,fr,it,ja,ko,pt_BR,zh,zh_TW.
#


-W setLocale.locale=""


################################################################################
#
# Has the license been accepted
#
# The license must be accepted before installation so this value must be true
# for the install to be successful. Example: -G licenseAccepted=true
#


#-G licenseAccepted=false
-G licenseAccepted=true


################################################################################
#
# IBM Solution Assembly Toolkit , Version 2.2.0 Install Location
#
# The install location of the product. Specify a valid directory into which the
# product should be installed. If the directory contains spaces, enclose it in
# double-quotes. For example, to install the product to C:\Program
# Files\IBM\SAT\2.2, use
# 
#    -W installLocation.value="C:\Program Files\IBM\SAT\2.2"
#


-W installLocation.value="$D(install)/IBM/SAT/2.2"


# NOTE: "$D(install)" is a valid InstallShield path variable which resolves to 
# the location of the programs directory. The default value, "$D(install)/IBM/
# SAT/2.2", resolves to destinations like the following:
#
#    Windows: C:\Program Files\IBM\SAT\2.2
#    Linux: /opt/IBM/SAT/2.2
#
# Also note that the following characters and any native characters are invalid 
# characters for the install location:
#
#    Windows:  "   *   /  ;  <  >  ?  | 
#    Linux: ! " # $ % & ' ( ) * , : ; < = > ? @ [ \ ] ^ ` { | } ~
#


################################################################################
#
# Eclipse Product Selection
#
# Specify which Eclipse product(s) the install should attempt to plug into.
# Multiple product ids seperated by the '|' character may be specified; the
# first valid product specified will be used. Following is an example with all
# possible options specified, in the default order of priority:
#


#-W eclipse.selectedProduct="UserSelectedEclipseProduct|UseCurrentEclipseProduct|InstallEclipseProduct"
-W eclipse.selectedProduct="InstallEclipseProduct"


################################################################################
#
# Eclipse Product Location
#
# To select your own Eclipse environment, ensure that
# "UserSelectedEclipseProduct" is included in the selectedProduct list above,
# uncomment the line below and specify the eclipse folder for an existing
# Eclipse 3.2 product to plug into.
#


-W eclipse.selectedLocation="C:\Program Files\eclipse"


################################################################################
#
# Eclipse Product Executable
#
# To select your own Eclipse environment, ensure that
# "UserSelectedEclipseProduct" is included in the selectedProduct list above,
# uncomment the line below and specify the eclipse executable for an existing
# Eclipse 3.2 product to plug into.
#


-W eclipse.selectedExecutable="C:\Program Files\eclipse\eclipse.exe"


################################################################################
#
# Reconfigure Solution Developer
#
# The following option is used when the Solution Developer is installed, but the
# Eclipse development environment that it was installed into has been removed. 
# See the "Eclipse Product Selection" section above to specify which Eclipse 
# environment to plug into.
#
# To reconfigure the Solution Developer and restore it to a working state, 
# set the following userSelection option equal to 1.
#
# To perform a full installation, set the following userSelection option equal 
# to 2.
#


#-W userSelection.userSelection=2


################################################################################
#
# Abort If Previous Version Installed
#
# Force the installation to abort if the product is already installed. To abort
# when a previous version is installed, uncomment the line below.
#


#-W AbortIfPreviousVersionInstalled.active=True


################################################################################
#
# Abort If Current Version Installed
#
# Force the installation to abort if the product is already installed. To abort
# when the current version is installed, uncomment the line below.
#


#-W AbortIfCurrentVersionInstalled.active=True


################################################################################
#
# Abort If Fixpack Version Installed
#
# Force the installation to abort if the product is already installed. To abort
# when the fix pack version is installed, uncomment the line below.
#


#-W AbortIfFixPackVersionInstalled.active=True


################################################################################
#
#  !!!!DO NOT REMOVE OR MODIFY THE FOLLOWING VALUES!!!!
#
-W setInstallType.value="SAT"
-W excludedOptions.beansToTurnOff="licenseOptions,licensePanel,userFiles,featurePanelTypical,solutionLauncher,SLInstallLocationOptions,migrateWorkspace"
-P displayName="$L(RuntimeInstallerResourcesNLS,SAT Title,$P(product.key.version.major).$P(product.key.version.minor).$P(product.key.version.maintenance))"
-P disk2targets.active=False

################################################################################

